﻿
@model ContractDataViewModel
@using LawMingo.Helpers;
@using Microsoft.AspNetCore.Identity
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager
@inject LawMingo.Data.ApplicationDbContext db

@{
    ViewBag.Title = string.IsNullOrEmpty(Model.Contract.Title) ? Model.Contract.Name : Model.Contract.Title;
    Layout = ViewData["layout"] == null ? "~/Views/Shared/_Layout.cshtml" : ViewData["layout"].ToString();
    int userContractId = RecentlyContract.check(UserManager, db, Context, Model.Contract.ContractID, true);
}



<!-- #region Meta -->

@section Meta{
    <link rel="canonical" href="http://lawmingo.com/Contract-@Model.Contract.ContractID/@Model.Contract.Name.URLFriendly()/@Model.Contract.EnglishName.URLFriendly()" />
    <meta name="description" content="@Model.Contract.MetaDescription" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="لامینگو | @Model.Contract.Title" />
    <meta property="og:description" content="@Model.Contract.MetaDescription" />
    <meta property="og:url" content="www" />
    <meta property="article:tag" content="@Model.Contract.Name" />
    <meta property="article:section" content="@Model.Contract.Name" />
    <meta property="article:published_time" content="@Model.Contract.Time" />
    <meta property="article:modified_time" content="@Model.Contract.Time" />
    <meta property="og:updated_time" content="@Model.Contract.Time" />
    <meta property="og:image" content="https://lawmingo.com/Uploads/ContractBanner/@Model.Contract.Banner" />
    <meta property="og:image:secure_url" content="https://lawmingo.com/Uploads/ContractBanner/@Model.Contract.Banner" />
    <meta property="og:image:width" content="822" />
    <meta property="og:image:height" content="522" />
    <meta property="og:image:alt" content="@Model.Contract.Name" />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:description" content="@Model.Contract.MetaDescription" />
    <meta name="twitter:title" content="لامینگو | @Model.Contract.Title}" />
    <meta name="twitter:image" content="/Uploads/ContractBanner/@Model.Contract.Banner" />


    <!-- #region  Comment Styles -->
    <style>
        body {
            counter-reset: section;
        }

        .accordion {
            border-radius: 5px;
            border: 1px solid #e0e0e0;
        }
        /*********************************
            6.4 Post Comment
            *********************************/
        .card-header .btn {
            color: #3c454c;
            text-align: right;
            white-space: normal;
            text-decoration: none;
        }

            .card-header .btn:focus, .card-header .btn.focus {
                box-shadow: none !important;
            }

        .card-header {
            text-align: right;
            direction: rtl;
        }

            .card-header h2 {
                display: flex;
                align-items: center;
            }

                .card-header h2:before {
                    counter-increment: section;
                    content: counter(section);
                    width: 30px;
                    height: 30px;
                    border-radius: 100px;
                    background: #3c454c;
                    color: #fff;
                    font-size: 18px;
                    display: inline-flex;
                    text-align: center;
                    justify-content: center;
                    align-items: center;
                }

        .post_comment {
            margin-top: 30px;
        }

        .post_comment_title {
            font-family: 'IRANSans', sans-serif;
            font-size: 18px;
            color: rgb(60, 69, 76);
            font-weight: 700;
            text-align: right;
        }

        .post_comment_form_container {
            width: 100%;
            background: #FFFFFF;
            border-radius: 6px;
            padding-left: 30px;
            padding-right: 30px;
            padding-top: 50px;
            padding-bottom: 40px;
            margin-top: 44px;
            border: 1px solid #8e98a1;
        }

        .comment_input {
            display: inline-block;
            width: calc(50% - 5px);
            height: 42px;
            border: none;
            outline: none;
            border-bottom: solid 1px #cccccc;
            background: transparent;
            -webkit-transition: all 200ms ease;
            -moz-transition: all 200ms ease;
            -ms-transition: all 200ms ease;
            -o-transition: all 200ms ease;
            transition: all 200ms ease;
            direction: rtl;
            padding: 10px;
        }

            .comment_input:first-child {
                margin-right: 25px;
            }

            .comment_input:hover,
            .comment_text:hover {
                border-color: rgba(0,0,0,1);
            }

        .comment_text {
            width: 100%;
            height: 90px;
            background: transparent;
            border: none;
            outline: none;
            border-bottom: solid 1px #cccccc;
            padding-top: 11px;
            margin-top: 23px;
            -webkit-transition: all 200ms ease;
            -moz-transition: all 200ms ease;
            -ms-transition: all 200ms ease;
            -o-transition: all 200ms ease;
            transition: all 200ms ease;
            direction: rtl;
        }

            .comment_input::-webkit-input-placeholder,
            .comment_text::-webkit-input-placeholder {
                font-family: 'IRANSans', sans-serif;
                font-size: 14px !important;
                font-weight: 500 !important;
                color: rgba(0,0,0,0.3);
                -webkit-transition: all 200ms ease;
                -moz-transition: all 200ms ease;
                -ms-transition: all 200ms ease;
                -o-transition: all 200ms ease;
                transition: all 200ms ease;
            }

            .comment_input:-moz-placeholder,
            .comment_text:-moz-placeholder {
                font-family: 'IRANSans', sans-serif;
                font-size: 14px !important;
                font-weight: 500 !important;
                color: rgba(0,0,0,0.3);
                -webkit-transition: all 200ms ease;
                -moz-transition: all 200ms ease;
                -ms-transition: all 200ms ease;
                -o-transition: all 200ms ease;
                transition: all 200ms ease;
            }

            .comment_input::-moz-placeholder,
            .comment_text::-moz-placeholder {
                font-family: 'IRANSans', sans-serif;
                font-size: 14px !important;
                font-weight: 500 !important;
                color: rgba(0,0,0,0.3);
                -webkit-transition: all 200ms ease;
                -moz-transition: all 200ms ease;
                -ms-transition: all 200ms ease;
                -o-transition: all 200ms ease;
                transition: all 200ms ease;
            }

            .comment_input:-ms-input-placeholder,
            .comment_text:-ms-input-placeholder {
                font-family: 'IRANSans', sans-serif;
                font-size: 14px !important;
                font-weight: 500 !important;
                color: rgba(0,0,0,0.3);
                -webkit-transition: all 200ms ease;
                -moz-transition: all 200ms ease;
                -ms-transition: all 200ms ease;
                -o-transition: all 200ms ease;
                transition: all 200ms ease;
            }

            .comment_input::input-placeholder,
            .comment_text::input-placeholder {
                color: rgba(0,0,0,1);
            }

            .comment_input:hover::-webkit-input-placeholder,
            .comment_text:hover::-webkit-input-placeholder {
                color: rgba(0,0,0,1);
            }

            .comment_input:hover:-moz-placeholder,
            .comment_text:hover:-moz-placeholder {
                color: rgba(0,0,0,1);
            }

            .comment_input:hover::-moz-placeholder,
            .comment_text:hover::-moz-placeholder {
                color: rgba(0,0,0,1);
            }

            .comment_input:hover:-ms-input-placeholder,
            .comment_text:hover:-ms-input-placeholder {
                color: rgba(0,0,0,1);
            }

            .comment_input:hover::input-placeholder,
            .comment_text:hover::input-placeholder {
                color: rgba(0,0,0,1);
            }

        .comment_button {
            width: 143px;
            height: 36px;
            background: rgb(60, 69, 76);
            color: rgb(196, 211, 222);
            border: none;
            outline: none;
            border-radius: 18px;
            cursor: pointer;
            -webkit-transition: all 200ms ease;
            -moz-transition: all 200ms ease;
            -ms-transition: all 200ms ease;
            -o-transition: all 200ms ease;
            transition: all 200ms ease;
            margin-top: 24px;
        }

            .comment_button:hover {
                background: rgb(119, 36, 55);
                color: #FFFFFF;
            }

        /*********************************
        6.5 Comments
        *********************************/

        .comments {
            margin-top: 70px;
        }

        .comments_title {
            font-family: 'IRANSans', sans-serif;
            font-size: 18px;
            font-weight: 700;
            color: rgba(0,0,0,0.8);
            text-align: right;
            direction: rtl;
        }

        .comments_container {
            width: 100%;
            margin-top: 44px;
        }
         .comment_list{
             padding:0px !important;
         }
        .comment_list > li {
            margin-bottom: 15px;
        }

        .comment {
            width: 100%;
            background: #e6e6e6;
            border-radius: 6px;
            padding-bottom: 10px;
            list-style: none;
        }

        .comment_body {
            padding-top: 25px;
            /* padding-bottom: 25px; */
            padding-left: 30px;
            padding-right: 30px;
        }

        .comment_author_image {
            width: 34px;
            height: 34px;
            border-radius: 50%;
            overflow: hidden;
        }

        .comment_body .post_meta {
            margin-top: 0;
            margin-left: 18px;
            width: 100%;
            margin-top: 0;
            margin-left: 18px;
            display: inline-flex;
            justify-content: space-between;
            flex: 1;
        }

        .reply_button {
            width: 76px;
            height: 28px;
            background: rgba(45,223,128,0.1);
            color: rgba(45,223,128,1);
            border: none;
            outline: none;
            border-radius: 18px;
            cursor: pointer;
            -webkit-transition: all 200ms ease;
            -moz-transition: all 200ms ease;
            -ms-transition: all 200ms ease;
            -o-transition: all 200ms ease;
            transition: all 200ms ease;
        }

            .reply_button:hover {
                background: rgba(45,223,128,1);
                color: #FFFFFF;
            }

        .comment_content {
            margin-top: 22px;
            text-align: right;
            direction: rtl;
        }

        .comment ul li {
            /* border-top: solid 1px #e5e5e5; */
        }
    </style>
    <!-- #endregion -->


    @{
        Dictionary<string, string> data = new Dictionary<string, string>();
        data.Add("/Contract/GetPage", Model.Contract.Name);
    }


    <script>
        var _pt = "@ViewData["partnertoken"]";
    </script>

    @if (Model.FAQ.Count() > 0)
    {
        <script type="application/ld+json">
            @Html.Raw(LawMingo.Helpers.SEO.FAQ(Model.FAQ))
        </script>

    }

    <script type="application/ld+json">
        @Html.Raw(LawMingo.Helpers.SEO.BreadcrumbList2(data))
    </script>

    <script type="application/ld+json">
        @Html.Raw(LawMingo.Helpers.SEO.Product(Model.Contract))
    </script>

}
<!-- #endregion -->



<div id="wrapper-ge_">

    @*#########################   progress Bar ####################################*@
    <div class="container">
        <div class="row">
            <div class="col-md-12 paddding-0" id="margin-bottom-Cu">
                <ul class="Progress-bar">
                    <li class="progress-bar-Item active" id="item0">
                        <environment exclude="development">
                            @{
                                if (ViewData["layout"] != null)
                                {
                                    <a class="progress-bar-Link" href="https://lawmingo.com/Widget">
                                        <span class="progress-bar-Title">لیست قراردادها</span>
                                        <span class="progress-bar-Line changed"></span>
                                        <span class="progress-bar-Dot"></span>
                                    </a>
                                }
                                else
                                {
                                    <a class="progress-bar-Link" href="https://lawmingo.com/Contracts/List">
                                        <span class="progress-bar-Title">لیست قراردادها</span>
                                        <span class="progress-bar-Line changed"></span>
                                        <span class="progress-bar-Dot"></span>
                                    </a>
                                }
                            }
                        </environment>

                        <environment include="development">
                            <a class="progress-bar-Link" href="https://localhost:5001/Contracts/List">
                                <span class="progress-bar-Title">لیست قراردادها</span>
                                <span class="progress-bar-Line changed"></span>
                                <span class="progress-bar-Dot"></span>
                            </a>
                        </environment>

                    </li>
                    <li class="progress-bar-Item active" id="item1">
                        <a class="progress-bar-Link">
                            <span class="progress-bar-Title">معرفی قرارداد</span>
                            <span class="progress-bar-Line"></span>
                            <span class="progress-bar-Dot"></span>
                        </a>
                    </li>
                    <li class="progress-bar-Item" id="item2">
                        <a class="progress-bar-Link">
                            @{
                                if (Model.Contract.Type == Contract.ContractType.Template)
                                {
                                    <span class="progress-bar-Title" style="opacity:.3;">پرسش ها</span>
                                }
                                else
                                {
                                    <span class="progress-bar-Title">پرسش ها</span>
                                }

                            }

                            <span class="progress-bar-Line"></span>
                            @{
                                if (Model.Contract.Type == Contract.ContractType.Template)
                                {
                                    <span class="progress-bar-Dot" style="opacity:.3;"></span>
                                }
                                else
                                {
                                    <span class="progress-bar-Dot"></span>
                                }

                            }
                        </a>
                    </li>
                    <li class="progress-bar-Item" id="item3">
                        <a class="progress-bar-Link">
                            @{
                                if (Model.Contract.Type == Contract.ContractType.Template)
                                {
                                    <span class="progress-bar-Title" style="opacity:.3;">ثبت اطلاعات </span>
                                }
                                else
                                {
                                    <span class="progress-bar-Title">ثبت اطلاعات </span>
                                }

                            }

                            <span class="progress-bar-Line"></span>
                            @{
                                if (Model.Contract.Type == Contract.ContractType.Template)
                                {
                                    <span class="progress-bar-Dot" style="opacity:.3;"></span>
                                }
                                else
                                {
                                    <span class="progress-bar-Dot"></span>
                                }

                            }
                        </a>
                    </li>
                    <li class="progress-bar-Item" id="item4">
                        <a class="progress-bar-Link">
                            <span class="progress-bar-Title">دریافت قرارداد</span>
                            <span class="progress-bar-Dot"></span>
                            <span></span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    @* check recently user contracts *@
    @{
        if (User.Identity.IsAuthenticated && userContractId != 0 && Model.Contract.Type == Contract.ContractType.Smart)
        {

            <div data-aos="zoom-in" data-aos-delay="200" class="container" id="check_recently">
                <div class="alert alert-warning alert-dismissible fade show" role="alert" style="font-weight: 400;border-radius: 0;display:flex;justify-content:space-between;flex-direction: row-reverse;align-items: center;direction: ltr;">
                    <strong style="font-size: 30px;"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i></strong>
                    <span class="hidden-md">
                        شما فرآیند ایجاد این قرارداد را قبلا طی کرده‌اید
                    </span>
                    <div style="display:flex;">
                        <button class="btn btn-success" onclick="goToQuestions(@userContractId , $('#item3').hasClass('active') ? true : false)">
                            <i style="vertical-align:unset;margin-right:6px;" class="fa fa-arrow-left"></i>
                            ادامه
                        </button>

                        @{
                            if (Model.Contract.Price != 0 && Model.Contract.Price != null)
                            {
                                <a class="btn btn-success payanddownload" data-info="@userContractId , @Model.Contract.Price ,@Model.Contract.Name" id="showPaymentModal" onclick="PaymentModal(this)">
                                    پرداخت و دریافت فایل قبلی
                                    <i style="vertical-align: middle;" class="fa fa-download"></i>
                                </a>
                            }
                            else
                            {
                                <a class="btn btn-success payanddownload" onclick="CreateContract(@userContractId , this)">
                                    دریافت فایل قبلی
                                    <i style="vertical-align: middle;" class="fa fa-download"></i>
                                </a>
                                <img style="display:none;width:40px;" src="~/Images/Loader/AjaxLoader.gif" />
                            }
                        }

                    </div>

                </div>
            </div>
        }
    }
    @*#########################  Introduction Contract  ####################################*@
    <div id="Wrapper-Introduction" class="container">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                <div style="display:flex;justify-content:space-between;flex-direction: row-reverse;" id="wrapper_">
                    <h1 class="heading" id="newTitleStyle">@Model.Contract.Name</h1>
                    <div class="info text-right">
                        <div class="createdocdiv">
                            <span class="pricecontainer">
                                    @{
                                        var price = Convert.ToInt32(Model.Contract.Price);
                                        if (price == 0)
                                        {
                                            <Text>رایگان</Text>
                                        }
                                        else
                                        {
                                            <Text>
                                            <span id="profile-Price" style="font-size:20px;display: flex;flex-direction: row-reverse;align-items: center;">
                                                @string.Format("{0:n0}", price)
                                                <span style="font-size:10px;padding-right:5px">تومان</span>
                                            </span>
                                            </Text>
                                        }
                                    }
                                </span>
                            @{
                                if (userContractId == 0 && Model.Contract.Type == Contract.ContractType.Smart)
                                {
                                    <button onclick="goToQuestions()" type="submit" class="btn btn-success">ساخت قرارداد</button>
                                }
                                else if (Model.Contract.Type == Contract.ContractType.Template)
                                {

                                    if (Model.Contract.Price == 0 || Model.Contract.Price == null)
                                    {
                                        <button onclick="DownloadContractFile()" type="submit" class="btn btn-success">دانلود قرارداد</button>
                                    }
                                    else if (Model.Contract.Price != null && Model.Contract.Price > 0)
                                    {
                                        <form method="post">
                                            @{int id = Model.Contract.ContractID + 2124;}
                                            <button id="word-File" onclick="Payment_ContractFile(@id)" type="button" class="btn btn-success">
                                                دانلود قرارداد
                                                <i class="fa fa-file-word-o"></i>
                                            </button>
                                        </form>
                                    }
                                }
                            }

                        </div>
                    </div>
                </div>

                @if (Model.Contract.Banner != null)
                {
                    <div class="text-center holder_img">
                        <img alt="@Model.Contract.Name" title="@Model.Contract.Name" class="img-responsive" src="/Uploads/ContractBanner/@Model.Contract.Banner" />
                    </div>
                }


                <h3 class="text-right Summery">@Html.Raw(Model.Contract.Description)</h3>

                @if (Model.Contract.Video != null)
                {
                    <div>
                        <video poster="/Uploads/Videocovers/@Model.Contract.VideoCover" controls="" style="width:100%;height:auto;background#59656c;border-radius:5px;margin-top: 50px; ">
                            <source src="/Uploads/Videos/@Model.Contract.Video" type="video/mp4">
                        </video>
                    </div>
                }


                <!-- FAQ -->
                <div class="faqsection">
                    <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)" class="comments_title">
                        <svg data-aos="zoom-in" data-aos-delay="200" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 511.99 511.99" style="enable-background:new 0 0 511.99 511.99;width: 40px;margin-left: 10px;" xml:space="preserve" class="aos-init aos-animate">
                        <path style="fill:#FFFFFF;" d="M37.845,272.751C-11.498,192.593,13.472,87.6,93.629,38.245s185.15-24.386,234.506,55.772
	                c16.983,27.575,25.749,59.424,25.286,91.808c-3.044,94.243-80.79,168.8-175.07,167.887H21.045l16.557-28.123
	                C47.463,309.372,47.549,289.052,37.845,272.751z"></path>

                        <path style="fill:#D1EEFF;" d="M474.181,418.845c49.319-80.181,24.3-185.162-55.881-234.481
	                c-20.295-12.479-42.976-20.575-66.595-23.74c1.193,8.352,1.753,16.764,1.704,25.201c-3.044,94.243-80.79,168.8-175.07,167.887
	                h-17.775c13.903,84.662,87.328,146.63,173.122,146.094h157.295l-16.557-28.123C464.575,455.466,464.478,435.147,474.181,418.845z"></path>

                        <g>
                        <path style="fill: #374550;" d="M484.894,465.473c-7.463-12.357-7.463-27.819,0-40.176c52.837-85.904,26.041-198.384-59.862-251.221
		                c-18.992-11.688-39.969-19.796-61.883-23.923c-7.061-38.277-26.175-73.303-54.542-99.953
		                C271.122,14.334,220.049-3.709,168.356,0.65C67.807,8.527-7.31,96.415,0.567,196.964c2.277,29.134,11.517,57.293,26.942,82.117
		                c7.463,12.357,7.463,27.819,0,40.176l-16.923,28.245c-3.433,5.783-1.522,13.258,4.261,16.679c1.875,1.108,4.018,1.704,6.209,1.704
		                h129.537c19.114,85.477,95.034,146.204,182.618,146.094h157.782c6.72,0,12.175-5.454,12.175-12.175
		                c0-2.179-0.584-4.334-1.704-6.209L484.894,465.473z M42.35,341.537l5.844-9.861c12.15-20.1,12.15-45.277,0-65.377
		                C2.381,191.851,25.598,94.369,100.033,48.557s171.929-22.608,217.742,51.839c15.754,25.591,23.886,55.138,23.46,85.185
		                c-2.91,87.608-75.239,156.869-162.895,155.956H42.35z M333.687,487.631c-74.399,0.426-139.593-49.721-158.269-121.745h2.922
		                c100.927,0.84,184.079-79.049,187.244-179.94c0-3.531,0-7.061,0-10.592c85.1,19.978,137.889,105.151,117.91,190.251
		                c-3.884,16.533-10.397,32.323-19.297,46.787c-12.15,20.1-12.15,45.277,0,65.377l5.844,9.861H333.687z"></path>

                        <path style="fill: #374550;" d="M196.48,153.927L196.48,153.927c0,12.175-11.444,19.966-40.785,21.184l-1.217,1.217l5.357,37.741
		                h24.349l2.557-14.244c24.836-4.383,44.924-16.557,44.924-46.385l0,0c0-30.923-22.766-48.698-56.368-48.698
		                c-21.805-0.524-42.696,8.717-56.977,25.201l21.427,23.497c8.9-9.995,21.561-15.827,34.941-16.07
		                C188.566,137.37,196.48,143.457,196.48,153.927z"></path>

                        <rect x="152.164" y="232.526" style="fill: #374550;" width="37.741" height="37.254"></rect>
                </g>
            </svg>
                        پرسش های متداول <span v-text="`(${items.length})`"></span>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="comments_container">
                                <preloader v-bind:visible="!dataloaded"></preloader>
                                <div class="accordion" id="accordionExample">
                                    <div v-cloak v-for="item in items" class="card">
                                        <div class="card-header" :id="`q_${item.id}`">
                                            <h2 class="mb-0">
                                                <button v-html="item.content" class="btn btn-link" type="button" data-toggle="collapse" :data-target="`#a_${item.id}`" aria-expanded="true" aria-controls="collapseOne"></button>
                                            </h2>
                                        </div>

                                        <div v-for="_item in item.answers" :id="`a_${item.id}`" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                                            <div class="card-body" v-html="_item.Content">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
                <!-- Comments -->
                <div class="comments">
                    <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)" class="comments_title">
                        <svg data-aos="zoom-in" data-aos-delay="200" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 511.99 511.99" style="enable-background:new 0 0 511.99 511.99;width: 40px;margin-left: 10px;" xml:space="preserve" class="aos-init aos-animate">
                        <path style="fill:#FFFFFF;" d="M37.845,272.751C-11.498,192.593,13.472,87.6,93.629,38.245s185.15-24.386,234.506,55.772
	                c16.983,27.575,25.749,59.424,25.286,91.808c-3.044,94.243-80.79,168.8-175.07,167.887H21.045l16.557-28.123
	                C47.463,309.372,47.549,289.052,37.845,272.751z"></path>

                        <path style="fill:#D1EEFF;" d="M474.181,418.845c49.319-80.181,24.3-185.162-55.881-234.481
	                c-20.295-12.479-42.976-20.575-66.595-23.74c1.193,8.352,1.753,16.764,1.704,25.201c-3.044,94.243-80.79,168.8-175.07,167.887
	                h-17.775c13.903,84.662,87.328,146.63,173.122,146.094h157.295l-16.557-28.123C464.575,455.466,464.478,435.147,474.181,418.845z"></path>

                        <g>
                        <path style="fill: #374550;" d="M484.894,465.473c-7.463-12.357-7.463-27.819,0-40.176c52.837-85.904,26.041-198.384-59.862-251.221
		                c-18.992-11.688-39.969-19.796-61.883-23.923c-7.061-38.277-26.175-73.303-54.542-99.953
		                C271.122,14.334,220.049-3.709,168.356,0.65C67.807,8.527-7.31,96.415,0.567,196.964c2.277,29.134,11.517,57.293,26.942,82.117
		                c7.463,12.357,7.463,27.819,0,40.176l-16.923,28.245c-3.433,5.783-1.522,13.258,4.261,16.679c1.875,1.108,4.018,1.704,6.209,1.704
		                h129.537c19.114,85.477,95.034,146.204,182.618,146.094h157.782c6.72,0,12.175-5.454,12.175-12.175
		                c0-2.179-0.584-4.334-1.704-6.209L484.894,465.473z M42.35,341.537l5.844-9.861c12.15-20.1,12.15-45.277,0-65.377
		                C2.381,191.851,25.598,94.369,100.033,48.557s171.929-22.608,217.742,51.839c15.754,25.591,23.886,55.138,23.46,85.185
		                c-2.91,87.608-75.239,156.869-162.895,155.956H42.35z M333.687,487.631c-74.399,0.426-139.593-49.721-158.269-121.745h2.922
		                c100.927,0.84,184.079-79.049,187.244-179.94c0-3.531,0-7.061,0-10.592c85.1,19.978,137.889,105.151,117.91,190.251
		                c-3.884,16.533-10.397,32.323-19.297,46.787c-12.15,20.1-12.15,45.277,0,65.377l5.844,9.861H333.687z"></path>

                        <path style="fill: #374550;" d="M196.48,153.927L196.48,153.927c0,12.175-11.444,19.966-40.785,21.184l-1.217,1.217l5.357,37.741
		                h24.349l2.557-14.244c24.836-4.383,44.924-16.557,44.924-46.385l0,0c0-30.923-22.766-48.698-56.368-48.698
		                c-21.805-0.524-42.696,8.717-56.977,25.201l21.427,23.497c8.9-9.995,21.561-15.827,34.941-16.07
		                C188.566,137.37,196.48,143.457,196.48,153.927z"></path>

                        <rect x="152.164" y="232.526" style="fill: #374550;" width="37.741" height="37.254"></rect>
                </g>
            </svg>
                        پرسش و پاسخ <span v-text="`(${items.length})`"></span>
                    </div>
                    <div class="row">
                        <div class="col-12">

                            <div class="comments_container">
                                <preloader v-bind:visible="!dataloaded"></preloader>
                                <ul class="comment_list">
                                    <li v-cloak v-for="item in items" class="comment">
                                        <div class="comment_body">
                                            <div style="width:100%" class="comment_panel d-flex flex-row-reverse justify-content-start align-items-center">
                                                <i style="font-size: 25px;color: #b8b8b8;padding-left: 10px;" class="fa fa-user-circle-o"></i>
                                                <small class="post_meta">

                                                    <span style="direction:rtl">{{persianTime(item.time)}}</span><a>کاربر ناشناس</a>
                                                </small>

                                            </div>
                                            <div class="comment_content">
                                                <p>{{item.content}}</p>
                                            </div>
                                        </div>
                                        <ul class="comment_list" style="margin: 20px;background: rgb(246, 246, 246);border-radius: 10px;padding:0px;">
                                            <li v-for="_item in item.answers" class="comment" style="background:initial !important">
                                                <div class="comment_body">
                                                    <div style="width:100%" class="comment_panel d-flex flex-row-reverse justify-content-start align-items-center">
                                                        <small class="post_meta"><span style="direction:rtl">{{persianTime(_item.Time)}}</span><a>{{_item.Author}}</a></small>
                                                    </div>
                                                    <div class="comment_content">
                                                        <p style="font-size: 14px;line-height: 25px;" v-html="_item.Content"></p>
                                                    </div>
                                                </div>
                                                <ul class="comment_list"></ul>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- Post Comment -->
                <div class="post_comment">
                    <div class="post_comment_title"> پرسش خود را مطرح نمایید</div>
                    <div class="row">
                        <div class="col-sm-12 col-md-4" style="display: flex;justify-content: center;">
                            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 60 60" xml:space="preserve" style="width: 60%;"><g><path d="M10,25.465h13c0.553,0,1-0.448,1-1s-0.447-1-1-1H10c-0.553,0-1,0.448-1,1S9.447,25.465,10,25.465z" style="fill: rgb(129, 139, 146);"></path> <path d="M36,29.465H10c-0.553,0-1,0.448-1,1s0.447,1,1,1h26c0.553,0,1-0.448,1-1S36.553,29.465,36,29.465z" style="fill: rgb(129, 139, 146);"></path> <path d="M36,35.465H10c-0.553,0-1,0.448-1,1s0.447,1,1,1h26c0.553,0,1-0.448,1-1S36.553,35.465,36,35.465z" style="fill: rgb(129, 139, 146);"></path> <path d="M54.072,2.535L19.93,2.465c-3.27,0-5.93,2.66-5.93,5.93v5.124l-8.07,0.017c-3.27,0-5.93,2.66-5.93,5.93v21.141
		                            c0,3.27,2.66,5.929,5.93,5.929H12v10c0,0.413,0.254,0.784,0.64,0.933c0.117,0.045,0.239,0.067,0.36,0.067
		                            c0.276,0,0.547-0.115,0.74-0.327l9.704-10.675l16.626-0.068c3.27,0,5.93-2.66,5.93-5.929v-0.113l5.26,5.786
		                            c0.193,0.212,0.464,0.327,0.74,0.327c0.121,0,0.243-0.022,0.36-0.067c0.386-0.149,0.64-0.52,0.64-0.933v-10h1.07
		                            c3.27,0,5.93-2.66,5.93-5.929V8.465C60,5.196,57.341,2.536,54.072,2.535z M44,40.536c0,2.167-1.763,3.929-3.934,3.929l-17.07,0.07
		                            c-0.28,0.001-0.548,0.12-0.736,0.327L14,53.949v-8.414c0-0.552-0.447-1-1-1H5.93c-2.167,0-3.93-1.763-3.93-3.929V19.465
		                            c0-2.167,1.763-3.93,3.932-3.93l9.068-0.019c0,0,0,0,0,0c0.001,0,0.001,0,0.002,0l25.068-0.052c2.167,0,3.93,1.763,3.93,3.93
		                            v18.441V40.536z M58,29.606c0,2.167-1.763,3.929-3.93,3.929H52c-0.553,0-1,0.448-1,1v8.414l-5-5.5V19.395
		                            c0-3.27-2.66-5.93-5.932-5.93L16,13.514v-5.12c0-2.167,1.763-3.93,3.928-3.93l34.141,0.07c0.001,0,0.001,0,0.002,0
		                            c2.167,0,3.93,1.763,3.93,3.93V29.606z" style="fill: rgb(60, 69, 76);"></path></g></svg>
                        </div>
                        <div class="col-sm-12 col-md-8">
                            <div class="post_comment_form_container">
                                <form v-if="!success">
                                    <input type="hidden" value="@Model.Contract.ContractID" id="postid" />
                                    <input type="text" class="comment_input comment_input_email" placeholder="ایمیل یا شماره موبایل" required="required">
                                    <input type="text" class="comment_input comment_input_name" placeholder="نام" required="required">
                                    <textarea class="comment_text" placeholder="پرسش" required="required"></textarea>
                                    <button @@click="msg" class="comment_button" type="button">
                                        <span v-if="!loading">ارسال</span>
                                        <img v-cloak v-if="loading" src="/Blog/loader.gif" style="height: 30px;">
                                    </button>
                                </form>
                                <div v-cloak v-if="success" style="display: flex;justify-content: center;align-items: center;flex-direction: column;">
                                    <div id="commentSuccess" style="width:100px">
                                    </div>
                                    <span class="animated slideInUp" style="text-align:center">
                                        پرسش شما با موفقیت ثبت شد ، پاسخ از طریق پیامک یا ایمیل اطلاع رسانی خواهد شد.
                                    </span>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>


            </div>
        </div>
    </div>

    @*#########################  Questions  ####################################*@
    <div id="questions" class="container" style="display:none;">
        <div class="row">
            <div class="col-md-12">
                <ul id="Allquestions" class="text-right">
                    <li style="text-align:center;direction:rtl">
                        <img src="~/Images/Loader/ajax-loader.gif" style="z-index:99999 !important;opacity:1 !important;" /> <br />
                        <span style="margin-top:5px; display:inline-block;z-index:99999 !important;opacity:1 !important;color:black;"> لطفا شکیبا باشید  ... </span>
                    </li>
                </ul>

                <input id="ArticleID-holder" type="hidden" value="" />
                <input id="Nember-holder" type="hidden" value="" />
                <input id="Prev-holder" type="hidden" value="" />
                <input id="Temp-prevDefaultAnswer-holder" type="hidden" />

            </div>
        </div>
    </div>

    @*#########################  Information Register  ####################################*@

    <div id="InfoRegister" class="container" style="display:none;">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                <h1 class="heading text-right block-head">
                    @{
                        if (Model.userAnswers == null)
                        {
                            <text> ثبت اطلاعات تکمیلی</Text>
                        }
                        else
                        {
                            <span style="color:#4CAF50">ویرایش اطلاعات تکمیلی</span>
                        }
                    }

                </h1>

                <div id="Register-UserData-Info" data-aos="fade-left"
                     data-aos-anchor="#example-anchor"
                     data-aos-offset="500"
                     data-aos-duration="2000">
                    <span id="disc_Contract">مشاهده بخشی از قرارداد ایجاد شده ... </span><br />
                    <p><b>ثبت اطلاعات تکمیلی</b> کاملا <b>اختیاری</b> بوده و صرفا جهت  <b>تسریع در آماده سازی</b> متن کامل قرارداد شما در نظر گرفته شده است .  </p>
                </div>

                <div id="Wrapper-Contract-Info" class="text-right">
                    <div class="Image-Holder text-center">
                        <img src="~/Images/Loader/ajax-loader.gif" style="z-index:99999 !important;opacity:1 !important;" /> <br />
                        <span style="margin-top:5px; display:inline-block;z-index:99999 !important;opacity:1 !important;color:black;"> لطفا شکیبا باشید  ... </span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @*#########################  Payment  ####################################*@
    <div id="Payment" class="container" style="display:none;">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                <div id="Wrapper-Payment-Info" class="text-center">
                    <form method="post"></form>
                    <div class="Image-Holder">
                        <img src="~/Images/Loader/ajax-loader.gif" style="z-index:99999 !important;opacity:1 !important;" /> <br />
                        <span style="margin-top:5px; display:inline-block;z-index:99999 !important;opacity:1 !important;color:black;"> لطفا شکیبا باشید  ... </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@*#########################      Modals          ####################################*@
<div class="modal fade" id="RequiredAnswer" tabindex="-1" role="dialog" aria-labelledby="Modal_error" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body text-right font-size-13">
                انتخاب گزینه جواب <span>الزامی</span> است .
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="Question-help-Modal" tabindex="-1" role="dialog" aria-labelledby="Modal_question_help" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="Modal_question_help"><i class="fa fa-question"></i> راهنمای سوال </h6>
            </div>
            <div class="modal-body text-right font-size-13">
                <img style="margin:0 auto;display:block;" id="Help-Loader" src="~/Images/Loader/ajax-loader.gif" />
            </div>
        </div>
    </div>
</div>
@*#########################   jsrender_Tempelate  ###################################*@
<script id="theTmpl-Questions" type="text/x-jsrender">

    {{if QuestionID != 0}}
    <div class="questionSection">
        <div data-aos="fade-left"
             class="qTitle"
             data-aos-anchor="#example-anchor"
             data-aos-offset="10"
             data-aos-duration="1500">
            <svg data-aos="zoom-in" data-aos-delay="200" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 511.99 511.99" style="enable-background:new 0 0 511.99 511.99;width: 40px;margin-left: 10px;" xml:space="preserve">
            <path style="fill:#FFFFFF;" d="M37.845,272.751C-11.498,192.593,13.472,87.6,93.629,38.245s185.15-24.386,234.506,55.772
	                c16.983,27.575,25.749,59.424,25.286,91.808c-3.044,94.243-80.79,168.8-175.07,167.887H21.045l16.557-28.123
	                C47.463,309.372,47.549,289.052,37.845,272.751z"></path>

            <path style="fill:#D1EEFF;" d="M474.181,418.845c49.319-80.181,24.3-185.162-55.881-234.481
	                c-20.295-12.479-42.976-20.575-66.595-23.74c1.193,8.352,1.753,16.764,1.704,25.201c-3.044,94.243-80.79,168.8-175.07,167.887
	                h-17.775c13.903,84.662,87.328,146.63,173.122,146.094h157.295l-16.557-28.123C464.575,455.466,464.478,435.147,474.181,418.845z"></path>

            <g>
            <path style="fill: #374550;" d="M484.894,465.473c-7.463-12.357-7.463-27.819,0-40.176c52.837-85.904,26.041-198.384-59.862-251.221
		                c-18.992-11.688-39.969-19.796-61.883-23.923c-7.061-38.277-26.175-73.303-54.542-99.953
		                C271.122,14.334,220.049-3.709,168.356,0.65C67.807,8.527-7.31,96.415,0.567,196.964c2.277,29.134,11.517,57.293,26.942,82.117
		                c7.463,12.357,7.463,27.819,0,40.176l-16.923,28.245c-3.433,5.783-1.522,13.258,4.261,16.679c1.875,1.108,4.018,1.704,6.209,1.704
		                h129.537c19.114,85.477,95.034,146.204,182.618,146.094h157.782c6.72,0,12.175-5.454,12.175-12.175
		                c0-2.179-0.584-4.334-1.704-6.209L484.894,465.473z M42.35,341.537l5.844-9.861c12.15-20.1,12.15-45.277,0-65.377
		                C2.381,191.851,25.598,94.369,100.033,48.557s171.929-22.608,217.742,51.839c15.754,25.591,23.886,55.138,23.46,85.185
		                c-2.91,87.608-75.239,156.869-162.895,155.956H42.35z M333.687,487.631c-74.399,0.426-139.593-49.721-158.269-121.745h2.922
		                c100.927,0.84,184.079-79.049,187.244-179.94c0-3.531,0-7.061,0-10.592c85.1,19.978,137.889,105.151,117.91,190.251
		                c-3.884,16.533-10.397,32.323-19.297,46.787c-12.15,20.1-12.15,45.277,0,65.377l5.844,9.861H333.687z"></path>

            <path style="fill: #374550;" d="M196.48,153.927L196.48,153.927c0,12.175-11.444,19.966-40.785,21.184l-1.217,1.217l5.357,37.741
		                h24.349l2.557-14.244c24.836-4.383,44.924-16.557,44.924-46.385l0,0c0-30.923-22.766-48.698-56.368-48.698
		                c-21.805-0.524-42.696,8.717-56.977,25.201l21.427,23.497c8.9-9.995,21.561-15.827,34.941-16.07
		                C188.566,137.37,196.48,143.457,196.48,153.927z"></path>

            <rect x="152.164" y="232.526" style="fill: #374550;" width="37.741" height="37.254"></rect>
                </g>
            </svg>
            <span style="direction:rtl;">{{:MyQuestion}}</span>
            {{for Helps}}

            {{if #index == 0 && Visible == true}}
            <a id="Help-q-{{:QuestionID}}" title="راهنمای سوال">
                راهنمای سوال
                @*<i title="راهنمای سوال" class="fa fa-question-circle-o"></i>*@
            </a>
            @*<a id="Help-q-{{:QuestionID}}"><i title="راهنمای سوال" class="fa fa-question-circle-o"></i></a>*@
            {{/if}}

            {{/for}}
        </div>

        <div style="display: flex;flex-direction: column;margin-bottom: 15px;">
            {{for Answers}}
            <div class="inputGroup">
                <input style="margin:5px" id="id-{{:AnswerID}}" type="radio" name="q" value="{{:AnswerID}}">
                <label data-aos="fade-up"
                       data-aos-duration="1000"
                       data-aos-delay="{{:#index*200}}"
                       data-aos-anchor-placement="center-bottom" for="id-{{:AnswerID}}">{{:MyAnswer}}</label>
            </div>
            {{/for}}
        </div>
    </div>


    {{/if}}

    {{if QuestionID == 0}}
    {{:MyQuestion}}
    {{/if}}

    <input id="Temp-CheckBox-holder" type="hidden" value="{{:CheckBox}}" />
    <input id="Temp-END-holder" type="hidden" value="{{:End}}" />
    <input id="Temp-ArticleID-holder" type="hidden" value="{{:ArticleID}}" />
    <input id="Temp-QuestionID-holder" type="hidden" value="{{:QuestionID}}" />

    {{if QuestionID != 0}}


    <img src='/Images/Loader/ajax-loader.gif' id='Question-Loader' style='display:none;width:35px' />
    <button id="Next" class="btn btn-large main-bg" onclick="getQuestions(true , null , null)">
        <div style="display:flex;justify-content:space-between;align-items:center">
            <i class="fas fa-caret-left fa" style="padding-right: 10px;font-size: 17px;"></i>
            <span>سوال بعدی</span>
        </div>
    </button>

    {{/if}}

    {{if QuestionID != 0}}
    <button id="Prev" class="btn btn-large main-bg" onclick="getQuestions(false , null , null)">
        <div style="display:flex;justify-content:space-between;align-items:center">
            <span>سوال قبلی</span>
            <i class="fas fa-caret-right fa" style="padding-left: 10px;font-size: 17px;"></i>
        </div>
    </button>
    {{/if}}

</script>
<script id="RegisterForm" type="text/x-jsrender">

    <h2 class="Article-Name"> {{:Article.split("-")[0]}} - {{:Article.split("-")[1]}} </h2>

    {{for ArticleDetail}}
    <p>{{:~ReplaceDir(Content)}}</p>
    {{/for}}

</script>
<script id="Help-Temp" type="text/x-jsrender">

    {{for Helpers}}
    <h5 class="text-help">{{:Content}}</h5>
    {{/for}}


    {{for Helpers}}

    {{if #index == 0 }}
    <div class="UserComments">

        <p id="UserComments-message"></p>
        آیا این راهنما در پاسخ به این سوال به شما کمک کرد ؟

        <button class="btn" id="Like-{{:QuestionID}}">
            بله <span>{{:Like}}</span>
            <img id="loader-Like" src="/Images/Loader/ajax-loader-score.gif" style="display:none;" />
        </button>

        <button class="btn" id="DisLike-{{:QuestionID}}">
            خیر <span>{{:DisLike}}</span>
            <img id="loader-DisLike" src="/Images/Loader/ajax-loader-score.gif" style="display:none;" />
        </button>

    </div>
    {{/if}}

    {{/for}}

</script>

@*#########################   Temperory Wrapper for runtime pdf Content  ###################################*@
<div id="temperory-wrapper" style="display:none;"></div>


@section Scripts{

    <script src="~/widget/JS/vue.js" type="text/javascript"></script>
    <script src="~/widget/JS/lottie.min.js" type="text/javascript"></script>
    <script src="~/widget/js/moment.js" type="text/javascript"></script>
    <script src="~/widget/js/moment-jalaali.js" type="text/javascript"></script>

    <script>
                        moment().format('jYYYY/jM/jD');
            moment.loadPersian();

            var persianTime = function(s) {
                return moment(s, 'YYYY-M-DTHH:mm:ss').format('jD jMMMM jYYYY HH:mm');
            };

        var
        persianNumbers = [/۰/g, /۱/g, /۲/g, /۳/g, /۴/g, /۵/g, /۶/g, /۷/g, /۸/g, /۹/g],
        arabicNumbers  = [/٠/g, /١/g, /٢/g, /٣/g, /٤/g, /٥/g, /٦/g, /٧/g, /٨/g, /٩/g],
        fixNumbers = function (str)
        {
          if(typeof str === 'string')
          {
            for(var i=0; i<10; i++)
            {
              str = str.replace(persianNumbers[i], i).replace(arabicNumbers[i], i);
            }
          }
          return str;
        };

        function validateEmail(email)
        {
            var re = /\S+@@\S+\.\S+/;
            return re.test(email);
        }

        function validateMobile(mobile) {
            var re = /^0*?[9]\d{9}$/;
            return re.test(fixNumbers(mobile));
            return true;
        }

        var _postcomment =  new Vue({
            el: '.post_comment',
            data: {
                success: false,
                loading: false
            },
            methods: {
                msg: function () {

                    var name = $(".comment_input_name").val();
                    var contact = $(".comment_input_email").val();
                    var content = $(".comment_text").val();
                    var id = $("#postid").val();

                    if (!validateMobile(contact) && !validateEmail(contact)) {
                        $(".comment_input_email").addClass("wrongData animated pulse").focus();
                        return false;
                    }
                    else {
                        $(".comment_input_email").removeClass("wrongData")
                    }
                    if (content != "" && contact != "" && name != "") {
                        _postcomment.$data.loading = true;
                        var ret = $.ajax({
                            type: "POST",
                            url: "/api/CreateComment",
                            data: { content, name, contact, id },
                            dataType: "json",
                            success: function (response) {
                                console.log(response);
                                _postcomment.$data.success = true;
                                setTimeout(function () {
                                    lottie.loadAnimation({
                                        container: document.getElementById('commentSuccess'), // the dom element that will contain the animation
                                        renderer: 'svg',
                                        width: 50,
                                        height: 50,
                                        loop: false,
                                        autoplay: true,
                                        path: '/blog/success.json' // the path to the animation json
                                    });
                                }, 200)
                            }
                        });
                    }
                    else {
                        $(".post_comment input , .post_comment textarea").addClass("wrongData animated pulse").focus();
                    }
                }
            }
        });

        var _faq = new Vue({
            el: '.faqsection',
            data: {
                items: [],
                dataloaded:false
            },
            beforeCreate: function () {
                var ret = $.ajax({
                    type: "GET",
                    url: "/api/faq",
                    data :{ id : @Model.Contract.ContractID },
                    dataType: "json",
                    complete: function (response) {
                        _faq.$data.items = response.responseJSON;
                        _faq.$data.dataloaded = true;
                    }
                });
            }
        });

        var _comments = new Vue({
            el: '.comments',
            data: {
                items: [],
                dataloaded:false
            },
            beforeCreate: function () {
                var ret = $.ajax({
                    type: "GET",
                    url: "/api/ContractQuestions",
                    data :{ id : @Model.Contract.ContractID },
                    dataType: "json",
                    complete: function (response) {
                        _comments.$data.items = response.responseJSON;
                        _comments.$data.dataloaded = true;
                    }
                });
            }
        });


         var ContID   =  @Model.Contract.ContractID;
         var ContName = '@Model.Contract.Name';

        function CreateContract(UserContractId , target) {

     $(target).next("img").show();

    $.ajax({

        url: '/Contract/ArticleDetails',
        type: 'POST',
        dataType: 'json',
         headers:
            {
               "RequestVerificationToken": $('#Wrapper-Payment-Info form input:hidden[name="__RequestVerificationToken"]').val()
            },
        data: {
            UserContractID: UserContractId
        },
        success: function (data) {


            //create Article Content with Data
            var content = "<form style='padding:15px;' id='contract'><div style='text-align:center;margin-bottom:80px;'><p style='font-weight:bold;text-align:center;font-size:26px;margin:0 auto !important;'>" + data.ContractName + "</p></div>";

            //content += "<h6 style='font-weight:bold;margin-bottom:40px;text-align:center;>" + data.ContractName  + "<h6>";

            for (var i = 0, len = data.Art.length; i < len; ++i) {

                content += "<p style='font-weight:bold;margin-bottom:20px;color:#6e1529'> ماده " + Number(data.Art[i].Article.split('-')[0]) + " - " + data.Art[i].Article.split('-')[1]+ "<p>";
                slicePluse = '';
                var counter = 0;
                for (var ii = 0; ii < data.Art[i].Content.length; ii++) {

                    if (data.Art[i].Content.length > 1) {

                        var con = data.Art[i].Content[ii];
                        con = con.replace('<p dir="RTL">', ' ').replace("</p>", " ").replace("placeholder", " ");

                        var count = (con.match(/===/g) || []).length;
                        var SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                        //console.log("count : ", count)
                        //console.log("SliceCount : ", SliceCount)

                        if (count !== null && count >= 1) {

                            var slice = con.split('===');

                            for (var iii = 0; iii < slice.length; iii++) {

                                if (slice[iii] !== "   " && slice[iii] !== "" && slice[iii] !== " " && slice[iii] !== "&nbsp;" && slice[iii] !== " &nbsp;" && slice[iii] !== "&nbsp; ") {

                                    SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                                    counter++;

                                    var row = '';
                                    row += "<p row>";
                                    row += data.Art[i].Article.split('-')[0];
                                    row += " - ";
                                    row += ii < 1 ? counter : SliceCount + 1;
                                    row += " ";
                                    row += slice[iii];
                                    row += " </p> ";

                                    slicePluse += row;
                                }
                            }

                        }
                        else {

                            row = '';
                            row += "<p row>";
                            row += data.Art[i].Article.split('-')[0];
                            row += " - ";
                            row += ii < 1 ? 1 : SliceCount + 1;
                            row += " ";
                            row += con;
                            row += " </p> ";

                            slicePluse += row;
                        }

                    }
                    else {
                        con = data.Art[i].Content[ii];
                        con = con.replace('<p dir="RTL">', ' ').replace("</p>", " ");

                        count = (con.match(/===/g) || []).length;
                        SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                        if (count !== null && count >= 1) {
                            slice = con.split('===');

                            for (iii = 0; iii < slice.length; iii++) {

                                if (slice[iii] !== "   " && slice[iii] !== "" && slice[iii] !== " " && slice[iii] !== "&nbsp;" && slice[iii] !== " &nbsp;" && slice[iii] !== "&nbsp; ") {
                                    counter++;

                                    row = '';
                                    row += "<p row>";
                                    row += data.Art[i].Article.split('-')[0];
                                    row += " - ";
                                    row += counter;
                                    row += " ";
                                    row += slice[iii];
                                    row += " </p> ";

                                    slicePluse += row;
                                }
                            }

                        }
                        else {
                            slicePluse += "<p>" + con + "</p>";
                        }
                    }
                }

                content += slicePluse;
            }

            content += "</form>";

            content = content.replace(/ {1,}/g, " ");
            content = content.replace(/placeholder/g, " ");

            $("#temperory-wrapper").html(content);

            //bind properties to Artice Content
            data.Props.forEach(function (value, index) {

                var selector = "#temperory-wrapper input[id$='" + "-" + value.ArticlePropertyID + "']";
                $(selector).replaceWith("<span style='padding-left:10px;'>" + value.Value + "</span>");

            });

            $.ajax({
                url: '/ExportPdf/CreatePdfAsync',
                type: 'POST',
                data: {
                    Contract: $("#temperory-wrapper").html(),
                    userContractID: UserContractId,
                },
                dataType: 'json',
                success: function (res) {

                }
            })
                .always(function (fileName) {

                $("#temperory-wrapper").html(" ");
                    $(target).next("img").hide();
                     $(target).after("<a onclick='ga('send', 'event', 'CreateContract', 'onclick', 'دریافت فایل قرارداد', '4')' href='" + Address + "Uploads/PdfFiles/" + fileName.responseText.split("*")[1] + "/" + fileName.responseText.split("*")[0] + "'" + "class='btn btn-success'>دریافت فایل قرارداد</button></a>")
                     $(target).remove();


            });
        }
    });

        }

        @await Component.InvokeAsync("userAnswers", new { Model = Model})


          @if(Model.GoToInfo)
          {

            <text>
                    $("#Wrapper-Introduction , #questions").hide();

                      check_RecentlyContracts(function (data) {
                          if (!data) {
                              $("#InfoRegister").show();
                              GetFormData(false);
                          }
                      });

                     $(".Image-Holder").hide();
                     $("#item1 span:nth-child(2)").addClass("changed");
                     $("#item2 span:nth-child(2)").addClass("changed");
                     $("#item3 , #item2").addClass("active");
            </Text>

          }


        function Payment_ContractFile(id) {

              $.ajax({

                       url: '/Contract/ContractTemplate',
                       type: 'POST',
                       dataType: 'json',
                       headers:
                        {
                            "RequestVerificationToken": $('#Wrapper-Introduction form input:hidden[name="__RequestVerificationToken"]').val()
                        },
                       data: {
                          ContractId: id
                         },
                  success: function (Res) {
                            console.log(Res)
                            if (Res.user_ContId != 0)
                            {

                                $("#Wrapper-Introduction").hide()
                                $("#Payment").show();

                                $("#item1 a span.progress-bar-Line").addClass("changed");
                                $("#item2 a span.progress-bar-Line").addClass("changed");
                                //$("#item2 a span.progress-bar-Line").css("opacity",".3");
                                $("#item3 a span.progress-bar-Line").addClass("changed");
                                $("#item4").addClass("active")

                            $("#Payment #Wrapper-Payment-Info").append(

                            `
                                 <div style='direction:rtl;'>
                                     <div class="table-responsive">
                                              <h5 id='invoice'>
                                                 پیش فاکتور فروش
                                              </h5>
                                         <table class="table table-bordered">
                                           <thead>
                                             <tr>
                                               <th>ردیف</th>
                                               <th>شرح</th>
                                               <th>مبلغ</th>
                                               <th>تخفیف</th>
                                               <th>مبلغ پس از تخفیف</th>
                                               <th>جمع مبلغ کل</th>
                                             </tr>
                                           </thead>
                                           <tbody>
                                             <tr>
                                               <td>1</td>
                                               <td>${Res.Contract.Name}</td>
                                               <td class='custom-letterSpace'>${Res.Contract.Price.toLocaleString()}</td>
                                               <td class='custom-letterSpace'>${Res.Contract.Discount !== 0 && Res.Contract.Discount !== null ? Res.Contract.Discount.toLocaleString() : 0}</td>
                                               <td class='custom-letterSpace'>${Res.Contract.Discount !== 0 && Res.Contract.Discount !== null ? (Res.Contract.Price - Res.Contract.Discount).toLocaleString() : Res.Contract.Price.toLocaleString()}</td>
                                               <td class='custom-letterSpace'>${Res.Contract.Discount !== 0 && Res.Contract.Discount !== null ? (Res.Contract.Price - Res.Contract.Discount).toLocaleString() : Res.Contract.Price.toLocaleString()}</td>
                                             </tr>
                                            <tr>
                                                 <td class='custom-width' colspan='4'></td>
                                                 <td id='coupun-name'>کوپن</td>
                                                 <td class='coupun-amount'>0</td>
                                            </tr>
                                           <tr>
                                                 <td class='custom-width' colspan='4'></td>
                                                 <td id='price-style'>مبلغ قابل پرداخت</td>
                                                 <td class='Amount-price-style'>
                                                     ${Res.Contract.Discount !== 0 && Res.Contract.Discount !== null ? (Res.Contract.Price - Res.Contract.Discount).toLocaleString() : Res.Contract.Price.toLocaleString()} تومان
                                                 </td>
                                            </tr>
                                           </tbody>
                                         </table>
                                     </div>
                                      <div class='row'>
                                          <div class='col-md-6 col-sm-12'>
                                            <div id='wrapper-coupon'>
                                                  <input class='form-control' id='Discount-Code' placeholder='کوپن تخفیف خود را وارد کنید . . .' />
                                                  <button id='ApllayCoupon' onclick='Coupon(${Res.user_ContId} , this)' class='btn btn-primary'>ثبت</button>
                                                  <input type='hidden' value = ${Res.user_ContId} />
                                                  <img id='Coupon-Loader' src="/Images/Loader/ajax-loader.gif"/>
                                            </div>
                                          </div>
                                          <div class='col-md-6 col-sm-12'>
                                             <button id='payment-contract' onclick='Payment(${Res.user_ContId} , "zarinpal")' class='btn btn-success'>پرداخت هزینه</button>
                                          </div>
                                      </div>
                               </div>
                           `
                        );
                            }
                            else
                            {
                                 window.location = `${Address}Identity/Account/Login?returnUrl=/Contract/GetPage?ContractID=${@Model.Contract.ContractID}`;
                            }
                        }
                   });
               }

    </script>

}

